Name:           sjasm
Version:        0.39
Release:        0.9.g1%{?dist}
Summary:        A z80 cross assembler
Group:          Development/Languages
License:        BSD
# Upstream no longer appears to exist
URL:            http://www.xl2s.tk
Source0:        %{name}39g1.zip
Patch0:         sjasm-0.39-fixmakefile.patch
Patch1:         sjasm-0.39-64bitfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
SjASM is a two pass macro Z80 cross assembler


%prep
%setup -qcn %{name}-%{version}
%patch0 -p0
%patch1 -p0
sed -i 's/\r//' %{name}.txt

# Convert to UTF8
iconv -f iso8859-1 %{name}.txt -t utf8 > %{name}.txt.conv \
    && /bin/mv -f %{name}.txt.conv %{name}.txt


%build
make -C sjasmsrc039g1 %{?_smp_mflags} CXXFLAGS="%{optflags} -DMAX_PATH=MAXPATHLEN"


%install
rm -rf %{buildroot}
make -C sjasmsrc039g1 install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc %{name}.txt


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-0.9.g1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-0.8.g1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.39-0.7.g1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.39-0.6.g1
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Ian Chapman <packages@amiga-hardware.com> 0.39-0.5.g1
- Release bump for F8 mass rebuild
- Converted sjasm.txt to UTF8
- Corrected license

* Mon Aug 28 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.4.g1
- Release bump for FC6 mass rebuild

* Sun Aug 20 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.3.g1
- Bump release in preparation for FE migration

* Sat Aug 12 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.2.g1
- Added patch for compiling on 64bit systems

* Fri Aug 11 2006 Ian Chapman <packages@amiga-hardware.com> 0.39-0.1.g1
- Initial Release
